Skip to content

Submit a reading

POST
/api/v1/agent/readings

Authorizations

agent

Agent bearer token.

Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/Input.json",
  
"category": "string",
  
"isReal": true,
  
"killer": 0,
  
"measuredAt": "string",
  
"platform": "string",
  
"ratio": 0,
  
"refreshTimeSeconds": 0,
  
"region": "string",
  
"survivor": 0,
  
"version": "string"
}

Responses

Created

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/ReportResult.json",
  
"assignment": {
  
  
"$schema": "https://bpincentives.com/schemas/AgentAssignment.json",
  
  
"phaseOffsetSeconds": 0,
  
  
"platform": "string",
  
  
"pollMaxSeconds": 0,
  
  
"pollMinSeconds": 0,
  
  
"probeImmediately": true,
  
  
"region": "string"
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI